import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/payment_intent_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/payment_intent_entity.g.dart';

@JsonSerializable()
class PaymentIntentEntity {
	@JSONField(name: "client_secret")
	String? clientSecret;

	PaymentIntentEntity();

	factory PaymentIntentEntity.fromJson(Map<String, dynamic> json) => $PaymentIntentEntityFromJson(json);

	Map<String, dynamic> toJson() => $PaymentIntentEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}